Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::IIOPEndpointSequence Class Reference

`#include <IIOP_EndpointsC.h>`

Inheritance diagram for TAO::IIOPEndpointSequence:

[legend]
Collaboration diagram for TAO::IIOPEndpointSequence:

[legend]
List of all members.

## Public Types
typedef IIOPEndpointSequence_var | _var_type
## Public Methods
| IIOPEndpointSequence (void)
| IIOPEndpointSequence (CORBA::ULong max)
| IIOPEndpointSequence (CORBA::ULong max, CORBA::ULong length, IIOP_Endpoint_Info *buffer, CORBA::Boolean release=0)
| IIOPEndpointSequence (const IIOPEndpointSequence &)
| ~IIOPEndpointSequence (void)
## Static Public Methods
void | _tao_any_destructor (void *)

## Member Typedef Documentation

typedef IIOPEndpointSequence_var TAO::IIOPEndpointSequence::_var_type

## Constructor & Destructor Documentation

TAO::IIOPEndpointSequence::IIOPEndpointSequence | ( | void |  | ) |

TAO::IIOPEndpointSequence::IIOPEndpointSequence | ( | CORBA::ULong | max | ) |

TAO::IIOPEndpointSequence::IIOPEndpointSequence | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | IIOP_Endpoint_Info * | buffer,
|  | CORBA::Boolean | release = 0
| ) |

TAO::IIOPEndpointSequence::IIOPEndpointSequence | ( | const IIOPEndpointSequence & |  | ) |

TAO::IIOPEndpointSequence::~IIOPEndpointSequence | ( | void |  | ) |

## Member Function Documentation

void TAO::IIOPEndpointSequence::_tao_any_destructor | ( | void * |  | ) | `[static]`

The documentation for this class was generated from the following files:

- IIOP_EndpointsC.h
- IIOP_EndpointsC.cpp